.footer {
  background-color: var(--main-color);
}

.footerContainer {
  display: grid;
  grid-template-columns: 1fr;
  padding: 1rem 4rem;
}
/* Footer Top */
.footerContainer > .footerTop {
  display: grid;
  grid-template-columns: 1fr 3fr;
  padding-bottom: 1rem;
}
/* Content Left */
.footerContainer > .footerTop > .contentLeft {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.contentLeft > .logo {
  font-family: var(--hand-write);
  font-size: var(--logo-size);
  color: var(--orange-color);
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-weight: 700;
  cursor: pointer;
}

.contentLeft > .logo:hover > svg {
  animation: footerIconAnim 3s ease 0s infinite alternate forwards;
}

.contentLeft > .desc {
  font-size: 14px;
}

.contentLeft > .iconGroup {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.contentLeft > .iconGroup > .icon {
  font-size: 24px;
  cursor: pointer;
  transition: var(--transition-all);
  display: flex;
  align-items: center;
}

.contentLeft > .iconGroup > .icon:hover {
  transform: translateY(-4px);
  color: var(--orange-color);
}

/* Content Right */
.footerContainer > .footerTop > .contentRight {
  display: flex;
  justify-content: space-evenly;
}

.contentRight > ul > li {
  font-size: 14px;
  transition: var(--transition-all);
  display: flex;
  align-items: center;
  gap: 0.5rem;
  cursor: pointer;
}

.contentRight > ul > li > svg {
  font-size: 20px;
}

.contentRight > ul .title {
  font-size: 18px;
  margin-bottom: 4px;
  font-weight: 700;
}

.contentRight > ul > li:hover {
  color: var(--orange-color);
  transform: translateX(8px);
}

/* Footer Bottom */
.footerBottom {
  border-top: 1px solid rgba(51, 51, 51, 0.2);
  padding-top: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.footerBottom > .copyRight {
  font-size: 14px;
  opacity: 0.8;
}

.footerBottom > .career {
  font-size: 16px;
  opacity: 0.8;
  cursor: pointer;
  transition: var(--transition-all);
}

.footerBottom > .career:hover {
  color: var(--orange-color);
  transform: translateX(8px);
  opacity: 1;
}

/* ************************ Animation ********************** */
@keyframes footerIconAnim {
  0%,
  100% {
    transform: rotate(0deg);
    transform-origin: 50% 100%;
  }

  10% {
    transform: rotate(2deg);
  }

  20%,
  40%,
  60% {
    transform: rotate(-6deg);
  }

  30%,
  50%,
  70% {
    transform: rotate(6deg);
  }

  80% {
    transform: rotate(-2deg);
  }

  90% {
    transform: rotate(2deg);
  }
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 1024px) {
  .footerContainer > .footerTop {
    grid-template-columns: 1fr 2fr;
  }
  .contentRight > ul:nth-child(1),
  .contentRight > ul:nth-child(2) {
    display: none;
  }
}

@media screen and (max-width: 856px) {
  .footerContainer {
    padding: 1rem 2rem;
  }
  .contentLeft {
    justify-content: center;
  }
  .contentLeft > .logo {
    font-size: 28px;
  }
  .contentLeft > .desc {
    display: none;
  }
  .contentLeft > .iconGroup {
    gap: 0.5rem;
  }
  .contentLeft > .iconGroup > .icon {
    font-size: 20px;
  }
  .footerContainer > .footerTop > .contentRight {
    justify-content: flex-start;
    gap: 2rem;
  }
}

/*  **************  MEDIA QUERIES ( SMALL DEVICES )  ****************  */
@media screen and (max-width: 600px) {
  .contentRight > ul:nth-child(3) {
    display: none;
  }
  .footerContainer > .footerTop > .contentRight {
    justify-content: center;
  }
  .footerBottom > .career {
    display: none;
  }
}

@media screen and (max-width: 440px) {
  .footerContainer {
    padding: 1rem;
  }
  .footerContainer > .footerTop {
    grid-template-columns: 1fr 1fr;
    gap: 8px;
  }
  .contentLeft > .logo {
    font-size: 32px;
  }
  .contentLeft > .iconGroup > .icon {
    font-size: 24px;
  }
  .contentRight > ul > li {
    gap: 4px;
  }
}

@media screen and (max-width: 300px) {
  .footerContainer > .footerTop {
    grid-template-columns: 1fr;
  }

  .footerContainer > .footerTop > .contentLeft {
    align-items: center;
  }
}
